Package org.apache.sling.commons.log.logback.internal.embed

# Class EmbeddedBundleActivator

java.lang.Object
org.apache.sling.commons.log.logback.internal.Activator
org.apache.sling.commons.log.logback.internal.embed.EmbeddedBundleActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class EmbeddedBundleActivator extends org.apache.sling.commons.log.logback.internal.Activator

## Constructor Summary

Constructors
Constructor
Description
`EmbeddedBundleActivator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start(@NotNull org.osgi.framework.BundleContext context)`
Initializes custom logback configuration when this bundle is started

### Methods inherited from class org.apache.sling.commons.log.logback.internal.Activator

`stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmbeddedBundleActivator

public EmbeddedBundleActivator()

## Method Details

### start

public void start(@NotNull @NotNull org.osgi.framework.BundleContext context) throws Exception
Description copied from class: `org.apache.sling.commons.log.logback.internal.Activator`
Initializes custom logback configuration when this bundle is started

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.apache.sling.commons.log.logback.internal.Activator`
Throws:
  `Exception`